#version 460 core

in vec2 FragTexCoords;

uniform sampler2D ImageTexture0;

out vec4 FragColor;

void main()
{
    vec4 color = texture(ImageTexture0, FragTexCoords);
    float grey = 0.3f * color.r + 0.59f * color.b + 0.11f * color.g; //(color.r + color.b + color.g) / 3.f;
    FragColor = vec4(vec3(grey), 1.f);
}
